#!/bin/bash

echo "****K-PAM standalone Version****"
echo "Environment building"

echo "Provide sudo user password if necessary"
curl https://bootstrap.pypa.io/get-pip.py -o ~/Downloads/get-pip.py
python ~/Downloads/get-pip.py --user

echo "PATH=\$PATH:~/Library/Python/2.7/bin" >> ~/.bash_profile
source ~/.bash_profile
pip install wxPython --user

export LDFLAGS="-L/usr/local/opt/openblas/lib"
export CPPFLAGS="-I/usr/local/opt/openblas/include"

echo "**************************"

echo "Download 'ncbi-blast-2.10.0+-x64-macosx.tar.gz' file from following address for installing blast+ in local machine. Then copy the downloaded file to current location and execute setup2.sh"

ftp://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/LATEST/

or

https://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/LATEST/

echo "**************************"


