#!/bin/bash

npath=`pwd`

tar zxvpf ncbi-blast-2.10.0+-x64-macosx.tar.gz

nfile=`eval echo "~$USER/.bash_profile"`

chmod 700 $nfile
echo "export PATH=$PATH:$npath/ncbi-blast-2.10.0+/bin/" >> $nfile
source $nfile

echo "Installation of all dependencies are completed."
blastn -help  
echo "blast is successfuly installed"

m=`grep -i "alias kpam" $nfile|wc -l`
if [ $m -eq 0 ]
   then
    echo "alias kpam='/usr/bin/python  $npath/wx_kpamrun_test5.py' " >> $nfile
fi

source $nfile

echo "All the required installations are done"
echo "**************************"
echo  "Type kpam to get the API"
echo "**************************"
